%define name	cksfv
%define version 1.3.4
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simple File Verification program
License:	GPL
Group:		File tools
Source0:	http://www.modeemi.fi/~shd/foss/cksfv/files/%{name}-%{version}.tar.bz2
Source1:	cksfv.bash-completion.bz2
URL:		http://www.modeemi.fi/~shd/foss/cksfv/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
cksfv (Check SFV) can create sfv (Simple File Verification) listings and test
already created sfv files.  Uses the crc32 checksum.
This format is common in the Windows world.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}.bash-completion
chmod 644 COPYING ChangeLog README TODO INSTALL

%build

./configure --prefix=%_prefix

%make

%install
rm -rf %buildroot

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}
# this prepare directory for man page. bug in Makefile..
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man1

%makeinstall BINDIR=%buildroot%_bindir MANDIR=%buildroot%_mandir

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc ChangeLog README TODO INSTALL
%{_bindir}/cksfv
%_mandir/man1/*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Mon Apr 04 2005 Götz Waschk <waschk@linux-mandrake.com> 1.3.4-1mdk
- New release 1.3.4

* Thu Mar 31 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.3-1mdk
- 1.3.3
- fix for creation and installation man page

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.2-2mdk
- add missing man page

* Thu Feb 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-2mdk
- fix bash-completion

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- fix URL
- New release 1.3.1

* Sat Jan  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3-5mdk
- rebuild

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-4mdk
- added bash-completion

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-3mdk
- rebuild

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- build release

* Thu Nov 15 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- adapted for Mandrake

* Thu Dec 28 2000 Bryan Call  <bc@fodder.org>
- version 1.2
- Fixed the a problem when making a new sfv it was not being zero
padded (found by Justin Head and Andre Tertling).
- Added the idea, when insensitive matching is activated, it will treat
"_" and " " equal. For example it will treat "foo_bar.txt" and
"Foo Bar.txt" the same (suggested and patch given by Andree Borrmann).
- Made it so it will not choke on blank lines.

* Thu May 18 2000 Bryan Call  <bc@fodder.org>
- version 1.1
- Added verbose to the program.  Now the program will list what file it
is working on and the status of the file.  When it is finished it will
display a final result, if it encountered any errors or not, and it
will print the bell character. You can turn this off with the -q option
(quiet).
- Moved some functions around a some other minor stuff.

* Tue May 16 2000 Bryan Call  <bc@fodder.org>
- version 1.0
- This is the first version that has been released for public
consumption.  Hopefully, I have worked out most of the bugs. I have
this working on FreeBSD 3.4 and Redhat 6.1 (i386).
